> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Genomic Elements Genes

> Retrieve genomic elements and gene pairs by querying genomic elements.

At least one of these properties must be defined: region, files_fileset, or method.

Set verbose = true to retrieve full info on the genes and genomic element.

The limit parameter controls the page size and can not exceed 500.

Pagination is 0-based.

**Examples by method**

These examples are grouped by method; use the `method` filter to return data from a specific method.

**CRISPR screen:**

**Single result**

- region = chr1:4126791-4126792 (maximum length: 10kb)
- method = CRISPR screen

**Group results**

- files_fileset = ENCFF968BZL
- method = CRISPR screen

**ENCODE-rE2G:**

**Single result**

- region = chr1:920016-920017 (maximum length: 10kb)
- method = ENCODE-rE2G
- files_fileset = ENCFF666WIM

**Group results**

- files_fileset = ENCFF666WIM
- method = ENCODE-rE2G

**Perturb-seq:**

**Query by region**

- region = chr1:212699339-212700840 (maximum length: 10kb)
- method = Perturb-seq

**Query by files_fileset**

Each files_fileset maps to at most one method, so a `method` filter is usually not necessary.

- files_fileset = IGVFFI3069QCRA
- method = Perturb-seq



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /genomic-elements/genes
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /genomic-elements/genes:
    get:
      summary: Genomic Elements Genes
      description: >-
        Retrieve genomic elements and gene pairs by querying genomic elements.


        At least one of these properties must be defined: region, files_fileset,
        or method.


        Set verbose = true to retrieve full info on the genes and genomic
        element.


        The limit parameter controls the page size and can not exceed 500.


        Pagination is 0-based.


        **Examples by method**


        These examples are grouped by method; use the `method` filter to return
        data from a specific method.


        **CRISPR screen:**


        **Single result**


        - region = chr1:4126791-4126792 (maximum length: 10kb)

        - method = CRISPR screen


        **Group results**


        - files_fileset = ENCFF968BZL

        - method = CRISPR screen


        **ENCODE-rE2G:**


        **Single result**


        - region = chr1:920016-920017 (maximum length: 10kb)

        - method = ENCODE-rE2G

        - files_fileset = ENCFF666WIM


        **Group results**


        - files_fileset = ENCFF666WIM

        - method = ENCODE-rE2G


        **Perturb-seq:**


        **Query by region**


        - region = chr1:212699339-212700840 (maximum length: 10kb)

        - method = Perturb-seq


        **Query by files_fileset**


        Each files_fileset maps to at most one method, so a `method` filter is
        usually not necessary.


        - files_fileset = IGVFFI3069QCRA

        - method = Perturb-seq
      operationId: genesFromGenomicElements
      parameters:
        - name: region
          in: query
          required: false
          schema:
            type: string
        - name: source_annotation
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'CA-CTCF: chromatin accessible + CTCF binding'
              - 'CA-H3K4me3: chromatin accessible + H3K4me3 high signal'
              - 'CA-TF: chromatin accessible + TF binding'
              - 'CA: chromatin accessible'
              - 'PLS: Promoter-like signal'
              - 'TF: TF binding'
              - 'dELS: distal Enhancer-like signal'
              - enhancer
              - genic
              - intergenic
              - negative control
              - 'pELS: proximal Enhancer-like signal'
              - promoter
        - name: region_type
          in: query
          required: false
          schema:
            type: string
            enum:
              - accessible dna elements
              - candidate cis regulatory element
              - tested elements
        - name: method
          in: query
          required: false
          schema:
            type: string
            enum:
              - CRISPR screen
              - ENCODE-rE2G
              - Perturb-seq
              - scE2G
        - name: files_fileset
          in: query
          required: false
          schema:
            type: string
        - name: biosample_term
          in: query
          required: false
          schema:
            type: string
        - name: biological_context
          in: query
          required: false
          schema:
            type: string
        - name: source
          in: query
          required: false
          schema:
            type: string
            enum:
              - ENCODE
              - IGVF
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Homo sapiens
            default: Homo sapiens
        - name: verbose
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                    label:
                      type: string
                    method:
                      type: string
                    class:
                      type: string
                    source:
                      type: string
                    source_url:
                      type: string
                    biological_context:
                      type: string
                    biosample_term:
                      type: string
                    files_filesets:
                      type: string
                    crispr_modality:
                      type: string
                      nullable: true
                    score:
                      type: number
                      nullable: true
                    log2FC:
                      type: number
                      nullable: true
                    effect_size:
                      type: number
                      nullable: true
                    p_value:
                      anyOf:
                        - type: number
                        - type: string
                      nullable: true
                    p_value_adj:
                      anyOf:
                        - type: number
                        - type: string
                      nullable: true
                    neg_log10_pvalue:
                      anyOf:
                        - type: number
                        - type: string
                      nullable: true
                    neg_log10_pvalue_adj:
                      anyOf:
                        - type: number
                        - type: string
                      nullable: true
                    genomic_element:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            _id:
                              type: string
                            type:
                              type: string
                              nullable: true
                            chr:
                              type: string
                              nullable: true
                            start:
                              type: number
                              nullable: true
                            end:
                              type: number
                              nullable: true
                            name:
                              type: string
                          required:
                            - _id
                            - name
                          additionalProperties: false
                    gene:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            name:
                              type: string
                            _id:
                              type: string
                            start:
                              type: number
                            end:
                              type: number
                            chr:
                              type: string
                          required:
                            - name
                            - _id
                            - start
                            - end
                            - chr
                          additionalProperties: false
                  required:
                    - name
                    - label
                    - method
                    - class
                    - source
                    - source_url
                    - biological_context
                    - biosample_term
                    - files_filesets
                    - genomic_element
                    - gene
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````